Nvidia popos drivers

I have an issue with the latest ubuntu (popOS) kernel

Configurando nvidia-dkms-390 (390.151-0ubuntu0.22.04.1) …
update-initramfs: deferring update (trigger activated)
INFO:Enable nvidia
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
Removing old nvidia-390.151 DKMS files…
Deleting module nvidia-390.151 completely from the DKMS tree.
Loading new nvidia-390.151 DKMS files…
Building for 5.18.10-76051810-generic
Building for architecture x86_64
Building initial module for 5.18.10-76051810-generic
ERROR (dkms apport): kernel package linux-headers-5.18.10-76051810-generic
is not supported
Error! Bad return status for module build on kernel: 5.18.10-76051810-gener
ic (x86_64)
Consult /var/lib/dkms/nvidia/390.151/build/make.log for more information.
dpkg: error al procesar el paquete nvidia-dkms-390 (–configure):
el subproceso instalado paquete nvidia-dkms-390 script post-installation d
evolvió el código de salida de error 10
dpkg: problemas de dependencias impiden la configuración de nvidia-driver-3
90:
nvidia-driver-390 depende de nvidia-dkms-390 (<= 390.151-1); sin embargo:
El paquete nvidia-dkms-390' no está configurado todavía. nvidia-driver-390 depende de nvidia-dkms-390 (>= 390.151); sin embargo: El paquete nvidia-dkms-390’ no está configurado todavía.

dpkg: error al procesar el paquete nvidia-driver-390 (–configure):
problemas de dependencias - se deja sin configurar
No se escribió un informe «apport» porque el mensaje de error indica que es
un mensaje de error asociado a un fallo previo.
Procesando disparadores par
a initramfs-tools (0.140ubuntu13) …
update-initramfs: Generating /boot/initrd.img-5.18.10-76051810-generic
cryptsetup: WARNING: Resume target cryptswap uses a key file
kernelstub.Config : INFO Looking for configuration…
kernelstub : INFO System information:

OS:..................Pop!_OS 22.04
Root partition:....../dev/dm-1
Root FS UUID:........9b85b929-6784-4a48-96bc-54e88ad70ae4
ESP Path:............/boot/efi
ESP Partition:......./dev/sda1
ESP Partition #:.....1
NVRAM entry #:.......-1
Boot Variable #:.....0000
Kernel Boot Options:.quiet loglevel=0 systemd.show_status=false splash
Kernel Image Path:.../boot/vmlinuz-5.18.10-76051810-generic
Initrd Image Path:.../boot/initrd.img-5.18.10-76051810-generic
Force-overwrite:.....False

kernelstub.Installer : INFO Copying Kernel into ESP
kernelstub.Installer : INFO Copying initrd.img into ESP
kernelstub.Installer : INFO Setting up loader.conf configuration
kernelstub.Installer : INFO Making entry file for Pop!_OS
kernelstub.Installer : INFO Backing up old kernel
kernelstub.Installer : INFO Making entry file for Pop!_OS
Se encontraron errores al procesar:
nvidia-dkms-390
nvidia-driver-390
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hello,

I’m moving this topic from NVAPI to Drivers category for better visibility.

Thanks

Solved with the last POPOS upgrade. Thanks

1 Like